hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steve Loughran (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-14187) Update ZooKeeper dependency to 3.4.9 and Curator dependency to 2.12.0
Date Thu, 01 Mar 2018 14:31:00 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-14187?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16382063#comment-16382063
] 

Steve Loughran commented on HADOOP-14187:
-----------------------------------------

Given trunk is still shipping Guava 11.0; is everything well with curator 2.12? For the 2.7.4
upgrade I had to verify this by doing a build of curator with the guava version marked down

> Update ZooKeeper dependency to 3.4.9 and Curator dependency to 2.12.0
> ---------------------------------------------------------------------
>
>                 Key: HADOOP-14187
>                 URL: https://issues.apache.org/jira/browse/HADOOP-14187
>             Project: Hadoop Common
>          Issue Type: Bug
>            Reporter: Tsuyoshi Ozawa
>            Assignee: Tsuyoshi Ozawa
>            Priority: Major
>             Fix For: 3.0.0-alpha4
>
>         Attachments: HADOOP-14187.001.patch
>
>
> This is a update for using Apache Curator which shades guava.
> Why is Curator updated to 2.12.0 instead of 3.3.0?
> It's because Curator 3.x only supports ZooKeeper 3.5.x. ZooKeeper 3.5.x is still alpha
release. Hence, I think we should do conservative choice here.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

---------------------------------------------------------------------
To unsubscribe, e-mail: common-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: common-issues-help@hadoop.apache.org


Mime
View raw message